# abstract Matrix4(Float32Array)

#### package lime.math

#### from Float32Array to Float32Array

Available on all platforms

### Constructor

###

`new (?data:Float32Array)`

### Variables

###

`read onlydeterminant:Float`

###

`position:Vector4`

### Methods

###

`append (lhs:Matrix4):Void`

###

`appendRotation (degrees:Float, axis:Vector4, ?pivotPoint:Vector4):Void`

###

`appendScale (xScale:Float, yScale:Float, zScale:Float):Void`

###

`appendTranslation (x:Float, y:Float, z:Float):Void`

###

`clone ():Matrix4`

###

`copyColumnFrom (column:Int, vector:Vector4):Void`

###

`copyColumnTo (column:Int, vector:Vector4):Void`

###

`copyFrom (other:Matrix4):Void`

###

`copyRowFrom (row:Int, vector:Vector4):Void`

###

`copyRowTo (row:Int, vector:Vector4):Void`

###

`copyToMatrix4 (other:Matrix4):Void`

###

`copythisFrom (array:Float32Array, index:Int = 0, transposeValues:Bool = false):Void`

###

`copythisTo (array:Float32Array, index:Int = 0, transposeValues:Bool = false):Void`

###

`deltaTransformVector (v:Vector4):Vector4`

Returns the transformation matrix's translation, rotation, and scale settings as a Vector of three Vector4 objects.

###

`get (index:Int):Float`

###

`identity ():Void`

###

`interpolateTo (toMat:Matrix4, percent:Float):Void`

###

`invert ():Bool`

###

`pointAt (pos:Vector4, ?at:Vector4, ?up:Vector4):Void`

###

`prepend (rhs:Matrix4):Void`

###

`prependRotation (degrees:Float, axis:Vector4, ?pivotPoint:Vector4):Void`

###

`prependScale (xScale:Float, yScale:Float, zScale:Float):Void`

###

`prependTranslation (x:Float, y:Float, z:Float):Void`

###

`set (index:Int, value:Float):Float`

###

`transformVector (v:Vector4):Vector4`

###

`transformVectors (ain:Float32Array, aout:Float32Array):Void`

###

`transpose ():Void`

### Static methods

###

`staticcreate2D (x:Float, y:Float, scale:Float = 1, rotation:Float = 0):Matrix4`

###

`staticcreateABCD (a:Float, b:Float, c:Float, d:Float, tx:Float, ty:Float, ?matrix:Matrix4):Null<Matrix4>`

###

`staticcreateOrtho (x0:Float, x1:Float, y0:Float, y1:Float, zNear:Float, zFar:Float):Matrix4`

###

`staticinterpolate (thisMat:Matrix4, toMat:Matrix4, percent:Float):Matrix4`